ru.bitel.bgbilling.kernel.bgsecure.common.service

## Interface UserService

-     public interface UserService

  TODO : переписать всех на использование этого менеджера и bean-а.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteUser(int userId)`
    `SearchResult<User>` | `findUsers(java.lang.String field, java.lang.String value, int status, int group, Page page)`
    `java.lang.String` | `getCurrentUserEmail()`
    `User` | `getUser(int userId)`
    `java.util.List<User>` | `listUsers()`
    `java.util.List<BGSAction>` | `loadUserActions(int userId)` Загрузка списка действий пользователя.
    `void` | `updateUser(User user, java.util.List<java.lang.Integer> groups)`
    `UserInfo` | `userInfoGet(int userId)` Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
    `java.util.List<UserInfo>` | `userInfoList()`

- - ### Method Detail

    - #### getCurrentUserEmail

          java.lang.String getCurrentUserEmail()
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### findUsers

          SearchResult<User> findUsers(java.lang.String field,
                                       java.lang.String value,
                                       int status,
                                       int group,
                                       Page page)
                                throws ru.bitel.bgbilling.common.BGException,
                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteUser

          void deleteUser(int userId)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getUser

          User getUser(int userId)
                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateUser

          void updateUser(User user,
                          java.util.List<java.lang.Integer> groups)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listUsers

          java.util.List<User> listUsers()
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### loadUserActions

          java.util.List<BGSAction> loadUserActions(int userId)
                                             throws ru.bitel.bgbilling.common.BGException

      Загрузка списка действий пользователя.
      Parameters:
        `userId` - код пользователя.
      Returns:
        список действий пользователя.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### userInfoGet

          UserInfo userInfoGet(int userId)

      Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
      но, при условии что достается только так :getContext().getDirectory( UserInfo.class ). ... иначе если напрямую, то никакого кеширования не будет.
      Parameters:
        `userId` - - код пользователя.
      Returns:

    - #### userInfoList

          java.util.List<UserInfo> userInfoList()